Bug 737281 - Provide native systemd service files
Provide native systemd service files
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: firebird (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Philippe Makowski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: SysVtoSystemd
  Show dependency treegraph
 
Reported: 2011-09-10 11:44 EDT by Jóhann B. Guðmundsson
Modified: 2012-02-13 15:04 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-13 15:04:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
firebird socket (124 bytes, text/plain)
2011-09-10 11:45 EDT, Jóhann B. Guðmundsson
no flags Details
firebird service (127 bytes, text/plain)
2011-09-10 11:45 EDT, Jóhann B. Guðmundsson
no flags Details
firebird SuperClassic SysV Initscripts (2.43 KB, text/plain)
2011-09-22 02:59 EDT, Philippe Makowski
no flags Details
firebird superclassic (322 bytes, text/plain)
2011-09-22 04:26 EDT, Jóhann B. Guðmundsson
no flags Details
firebird superserver (321 bytes, text/plain)
2011-09-22 04:35 EDT, Jóhann B. Guðmundsson
no flags Details

  None (edit)
Description Jóhann B. Guðmundsson 2011-09-10 11:44:06 EDT
Description of problem:

Let's get the ball rolling on this one...

http://fedoraproject.org/wiki/Features/SysVtoSystemd

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jóhann B. Guðmundsson 2011-09-10 11:45:08 EDT
Created attachment 522533 [details]
firebird socket
Comment 2 Jóhann B. Guðmundsson 2011-09-10 11:45:57 EDT
Created attachment 522534 [details]
firebird service
Comment 3 Jóhann B. Guðmundsson 2011-09-10 11:47:05 EDT
Once package and shipped your package should no longer have to depend on xinetd

https://fedoraproject.org/wiki/Packaging:Guidelines:Systemd
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd
Comment 4 Philippe Makowski 2011-09-22 02:59:49 EDT
Created attachment 524328 [details]
firebird SuperClassic SysV Initscripts
Comment 5 Philippe Makowski 2011-09-22 03:03:20 EDT
Thanks for your scripts, will update the package in rawhide
should it be done also in F16 ?

should it be done also for firebird SuperClassic and SuperServer SysV Initscripts ?

see example of firebird SuperClassic SysV Initscripts
Comment 6 Jóhann B. Guðmundsson 2011-09-22 04:26:54 EDT
Created attachment 524347 [details]
firebird superclassic

Let' start with this and note this is the standalone versions of the provided init script which later can be turned it to an template if required

Copy the attach file into /lib/systemd/system directory and run systemctl daemon-reload. 

Starts and stops cleanly on F15 host.

[root@valhalla system]# systemctl start firebird-superclassic.service && systemctl status firebird-superclassic.service && netstat -pant | grep fb_smp_server && systemctl stop firebird-superclassic.service && systemctl status firebird-superclassic.service
firebird-superclassic.service - Firebird Database Server ( SuperClassic )
	  Loaded: loaded (/lib/systemd/system/firebird-superclassic.service)
	  Active: active (running) since Thu, 22 Sep 2011 08:24:04 +0000; 31s ago
	 Process: 32146 ExecStart=/usr/sbin/fbguard -pidfile /run/firebird/default.pid -daemon -forever (code=exited, status=0/SUCCESS)
	Main PID: 32148 (fb_smp_server)
	  CGroup: name=systemd:/system/firebird-superclassic.service
		  ├ 32147 /usr/sbin/fbguard -pidfile /run/firebird/default.pid -daemon -forever
		  └ 32148 /usr/sbin/fb_smp_server
tcp        0      0 0.0.0.0:3050                0.0.0.0:*                   LISTEN      32148/fb_smp_server 
firebird-superclassic.service - Firebird Database Server ( SuperClassic )
	  Loaded: loaded (/lib/systemd/system/firebird-superclassic.service)
	  Active: inactive (dead) since Thu, 22 Sep 2011 08:24:35 +0000; 69ms ago
	 Process: 32146 ExecStart=/usr/sbin/fbguard -pidfile /run/firebird/default.pid -daemon -forever (code=exited, status=0/SUCCESS)
	Main PID: 32148
	  CGroup: name=systemd:/system/firebird-superclassic.service
Comment 7 Jóhann B. Guðmundsson 2011-09-22 04:35:40 EDT
Created attachment 524349 [details]
firebird superserver
Comment 8 Philippe Makowski 2011-09-22 05:00:44 EDT
ok
thanks, so I need to provide it for F16 and F17
and since :
"Packages are strictly forbidden from migrating to systemd within updates to a Fedora release. The migration is only allowed between Fedora releases."
I don't have to provide it for F15

but I need to take care of https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd
Packages migrating to a systemd unit file from a SysV initscript 

with a %if 0%{?fedora}>=16 or with a commit only on F16 and rawhide branches

am I right ?
Comment 9 Fedora Update System 2011-09-22 12:29:26 EDT
firebird-2.5.0.26074.0-10.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/firebird-2.5.0.26074.0-10.fc16
Comment 10 Fedora Update System 2011-09-24 16:49:29 EDT
Package firebird-2.5.0.26074.0-10.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing firebird-2.5.0.26074.0-10.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/firebird-2.5.0.26074.0-10.fc16
then log in and leave karma (feedback).
Comment 11 Gwyn Ciesla 2012-02-13 15:04:38 EST
This is complete.

Note You need to log in before you can comment on or make changes to this bug.